import request from '@/utils/request'

/**
 * 查询院校所在地
 */
export function selectUniversityLocations(){
  return request({
    url:`/front/syzy/tdx/university/locations`,
    method:'get'
  })
}

/**
 * 查询层次
 * @param params
 */
export function selectUniversityLevels(params){
  return request({
    url:`/front/syzy/tdx/university/levels`,
    method:'get',
    params
  })
}

/**
 * 查询院校层次
 * @param params
 */
export function selectUniversityTypes(params){
  return request({
    url:`/front/syzy/tdx/university/types`,
    method:'get',
    params
  })
}

/**
 * 查询录取年份
 * @param params
 */
export function selectUniversityYears (params){
  return request({
    url:`/front/syzy/tdx/university/years`,
    method:'get',
    params
  })
}

/**
 * 查询院校数据
 * @param params
 */
export function selectUniversityList(params){
  return request({
    url:`/front/syzy/tdx/university/list`,
    method:'get',
    params
  })
}
/**
 * 专业投档线
 * 查询院校数据
 * @param params
 */
 export function marjorSelectUniversityList (params){
  return request({
    url:`/front/university/list`,
    method:'get',
    params
  })
}
//   专业投档线
/**
 * 查询报考年限
 */
export function selectMarjorYears(){
  return request({
    url:`/front/syzy/tdx/marjor/years`,
    method:'get'
  })
}

/**
 * 报考科类
 */
export function selectMarjorTypes(){
  return request({
    url:`/front/syzy/tdx/marjor/types`,
    method:'get'
  })
}

/**
 * 报考批次
 */
export function selectMarjorBatchs(){
  return request({
    url:`/front/syzy/tdx/marjor/batchs`,
    method:'get'
  })
}

/**
 * 查询专业数据
 * @param params
 */
export function selectMarjorList(params){
  return request({
    url:`/front/syzy/tdx/marjor/list`,
    method:'get',
    params
  })
}
